Subject: Ticket Assigned - Babyshopstores data erasure request - from Abdu Rafeeque Palayil - request: KMKCD5IG
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 04 Feb 2023 16:30:04 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Babyshopstores data erasure request - from Abdu Rafeeque Palayil - request: KMKCD5IG Hi Babyshopstores (babyshopstores.com),

I'm Abdu Rafeeque Palayil, and this is an automated message I am sending
myself using a privacy service I use called Mine. Mine helps anyone control
their privacy online.

I previously used your service, and I'm hereby asking you to erase all the
personal data you hold about me. By using Mine, it appears you hold
personal data about me from 2023 January 13.

My personal details are:
• Name: Abdu Rafeeque Palayil
• Email: [email-masked]

*For Companies from Mine:*
We understand that each company has its own DSR handling process, and we
will be happy to adjust to yours and help optimize your process.

Visit this page for more info.
<https://api.saymine.com/dsr1?existing=False&category=&experiment=True&actionId=KMKCD5IG&utm_source=product&utm_medium=email&utm_campaign=dsr-form1&utm_content=babyshopstores.com>
Thank you for helping our user!

Thanks,
Abdu Rafeeque Palayil

Request ID: KMKCD5IG

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5665870